import { defineComponent as r, mergeModels as c, useModel as p, watch as g, createElementBlock as f, createCommentVNode as b, openBlock as _, createVNode as i, createElementVNode as u, unref as t, toDisplayString as V } from "vue";
import { useI18n as x } from "vue-i18n";
import { ag as v, aE as E, o as I } from "./start-CE9SawgU.js";
import "pinia";
import "./header-Bn1EKnBE.js";
import { b as s } from "./ecm-datahub-image-to-string.json_vue_type_i18n_index_0_src_true_lang-AlSq0kKl.js";
const y = {
  key: 0,
  class: "extension-config"
}, h = { class: "extension-config" }, m = /* @__PURE__ */ r({
  __name: "EcmDataHubIntegrationImageValueConfigExtension",
  props: /* @__PURE__ */ c({
    attributeMap: {},
    destinationAttribute: {},
    sourceAttributes: {},
    etlAttributeSetMapId: {}
  }, {
    modelValue: {},
    modelModifiers: {}
  }),
  emits: ["update:modelValue"],
  setup(d) {
    const e = p(d, "modelValue"), { t: o } = x();
    return g(
      e,
      (n) => {
        n || (e.value = {});
      },
      { immediate: !0 }
    ), (n, a) => e.value ? (_(), f("div", y, [
      i(t(v), {
        modelValue: e.value.onlyWithoutTags,
        "onUpdate:modelValue": a[0] || (a[0] = (l) => e.value.onlyWithoutTags = l),
        label: t(o)("ecm-datahub-ui.image.onlyWithoutTags"),
        class: "extension-config__input"
      }, null, 8, ["modelValue", "label"]),
      u("div", h, [
        i(t(E), {
          modelValue: e.value.allowedTags,
          "onUpdate:modelValue": a[1] || (a[1] = (l) => e.value.allowedTags = l),
          label: t(o)("ecm-datahub-ui.image.tags"),
          type: "text",
          class: "extension-config__input"
        }, null, 8, ["modelValue", "label"]),
        u("span", null, V(t(o)("ecm-datahub-ui.image.tagsExpl")), 1)
      ])
    ])) : b("", !0);
  }
});
typeof s == "function" && s(m);
const D = /* @__PURE__ */ I(m, [["__scopeId", "data-v-8a767cfb"]]);
export {
  D as default
};
